!> \file climat_GrIce2sea_mod.f90
!! Module ou les variations temporelles des variables climatiques
!! sont directement imposees
!<

!> \namespace  climat_Grice2sea_mod
!! Module ou les variations temporelles des variables climatiques
!! sont directement imposees
!! \author Cat
!! \date 31 oct
!! @note Used modules:
!! @note   - use module3D_phy
!<
module climat_Grice2sea_mod


use module3d_phy
implicit none


real :: T_lapse_rate              !< pour la temperature


! Pour l'instant on prend un seul fichier (donnees observees)
! introduire les variations et les anomalies par la suite

contains

!--------------------------------------------------------------------------------
!> SUBROUTINE: input_clim  
!! Routine qui permet d'initialiser les variations temporelles des variables climatiques
!>
  subroutine input_clim   !routine qui permet d'initialiser les variations temporelles des variables climatiques
!    pour l'instant fake
  end subroutine input_clim

!--------------------------------------------------------------------------------
!> SUBROUTINE: init_forclim
!! Routine qui permet d'initialiser les variables climatiques au cours du temps
!>
subroutine init_forclim


namelist/lapse_rates/T_lapse_rate

rewind(num_param)        ! pour revenir au debut du fichier param_list.dat
read(num_param,lapse_rates)

! formats pour les ecritures dans 42
428 format(A)

    rewind(num_param)                     ! pour revenir au debut du fichier param_list.dat
    read(num_param,lapse_rates)

    write(num_rep_42,428)'!___________________________________________________________' 
    write(num_rep_42,428)'!  module climat_Grice2sea_mod                              '
    write(num_rep_42,lapse_rates)
    write(num_rep_42,428)'!___________________________________________________________' 

return
end subroutine init_forclim

!--------------------------------------------------------------------------------
!> SUBROUTINE: forclim
!!  
!!  Routine qui permet le calcul climatique au cours du temps
!!  @note Au temps considere (time) attribue les scalaires
!!  @note   - tafor : forcage en temperature
!!  @note   - sealevel : forcage niveau des mers
!!  @note   - coefbmelt : forcage fusion basale ice shelves 
!>
subroutine forclim               !  au temps considere (time) 

  use module3d_phy
  implicit none

  call massb_Ice2sea_fixe

end subroutine forclim

end module  climat_Grice2sea_mod
