!> \file accum_month.f90
!! Module pour le calcul de l'accumulation mensuelle
!<

!> SUBROUTINE: accum_month()
!! Calcule l accumulation mensuelle
!! \author Vincent & Flo & Cat 
!! \date Oct 07 corrige avec Cat octobre 2008
!! @note Used modules:
!! @note  - declar_month
!>


subroutine accum_month()

! --------------------------------------------------------------------
!      Accumulation mensuelle
!
!                   Vincent & Flo Oct 07 corrige avec Cat octobre 2008
!---------------------------------------------------------------------

use declare_month
!use climat_forcage_mois_mod

implicit none

real :: SLMIN
real :: precipit

!      real Tm_surf(nx,ny,mois+1) !! variable du moduel climat-stat
!      include  '3D-1.h'

if (itracebug.eq.1)  call tracebug(' Passage dans accum_month')


precip(:,:)=0.

! Tm_surf et Pm_surf sont les valeurs au temps time, 
! apres corrections de topographie vers l'altitude 
! courante de la surface

do j=1,ny
   do i=1,nx

      do mo=1,mois                          ! boucle sur les mois
         do k=1,4                           ! 4 increments par mois

            temp=Tm_surf(i,j,mo)+ 				&
                 k/4 * (Tm_surf(i,j,mo+1)-Tm_surf(i,j,mo))

            precipit=Pm_surf(i,j,mo)+ 				&
                 k/4 * (Pm_surf(i,j,mo+1)-Pm_surf(i,j,mo))


            if (temp.le.psolid) then
               precip(i,j)=precip(i,j)+precipit
            end if
         end do
      end do ! fin boucle sur les mois

        precip(i,j)=precip(i,j)/48.                 ! fraction de l'annee avec neige
     end do
  end do

acc(:,:)=precip(:,:)


!  Ci dessus : chaque 1/4 de mois, on calcule la precipitation neigeuse
!  et on somme les precipitation neigeuses.


end subroutine accum_month
