!> \file flottab-rescue-1.f90
!! Nouvelle formulation de flottab
!<

!> SUBROUTINE: FLOTTAB_RESCUE
!! @note Nouvelle formulation
!! \author Cat
!! \date aout 2006
!! @note On suppose que le programme est passe dans flottab
!! la seule chose qui change est
!! @note Used modules:
!! @note    - module3D_phy
!!
!<
! =======================================================
!
SUBROUTINE FLOTTAB_RESCUE()
  !
  ! nouvelle formulation Cat aout 2006
  ! on suppose que le programme est passe dans flottab
  ! la seule chose qui change est
  ! =======================================================

  USE module3D_phy
  use module_choix


  IMPLICIT NONE

  ICE(:,:)=0
  front(:,:)=0
  frontfacex(:,:)=0
  frontfacey(:,:)=0
  isolx(:,:)=.FALSE.
  isoly(:,:)=.FALSE.
  boost=.false.


  ! ice a 1 sur tout le domaine flottant
  do i=2,nx-1
     do j=2,ny-1
        ice(i,j)=1
     end do
  end do


  do i=2,nx-1
     do j=2,ny-1

        if (ice(i,j).eq.1) then    !test si ice=1, on determine front
           front(i,j)=(ice(i-1,j)+ice(i+1,j)+ice(i,j+1)+ice(i,j-1))
        endif
     end do
  end do


  ! calcul du front 
  !-------------------

  !isolx signifie pas de voisins en x
  !isoly signifie pas de voisins en y
  !remarque : 
  !si isolx/y=.true. alors frontfacex/y=0 (a la fois +1 & -1 or +1-1=0)

  front_g:  do j=2,ny-1
     do i=2,nx-1               !on ne compte pas les icebergs de 2 cases (horizontales ou verticales)

        if (front(i,j).eq.1) then
           if (front(i+1,j).eq.1) then
              ice(i,j)=0
              ice(i+1,j)=0
              front(i,j)=0
              front(i+1,j)=0
           endif
           if (front(i,j+1).eq.1) then
              ice(i,j)=0
              ice(i,j+1)=0
              front(i,j)=0
              front(i,j+1)=0
           endif
        endif

        if (front(i,j).ge.1.and.front(i,j).le.3) then !front(entre 1 et 3)

           if ((ice(i-1,j)+ice(i+1,j)).lt.2) then
              ! il y a un front // a x
              if ((ice(i-1,j)+ice(i+1,j)).eq.0) then
                 isolx(i,j)=.true.
              elseif (ice(i-1,j).eq.0) then
                 frontfacex(i,j)=-1    ! front  i-1 |i  i+1
              else
                 frontfacex(i,j)=+1    ! front  i-1  i| i+1
              endif
           endif


           if ((ice(i,j-1)+ice(i,j+1)).lt.2) then
              ! il y a un front // a y
              if ((ice(i,j-1)+ice(i,j+1)).eq.0) then
                 isoly(i,j)=.true.    !front   j-1 |j| j+1
              elseif (ice(i,j-1).eq.0) then
                 frontfacey(i,j)=-1   !front   j-1 |j j+1
              else
                 frontfacey(i,j)=+1   !front   j-1  j| j+1
              endif
           endif

        end if           !fin du test il y a un front

     end do
  end do front_g

  return 
end subroutine flottab_rescue
