!> \file param_phy_mod.f90
!! Module pour definir les parametres physique necessaire qui ne 
!! sont pas souvent modifier
!<

!> \namespace param_phy_mod
!! Module pour definir les parametres physique necessaire qui ne 
!! sont pas souvent modifier
!! \author ...
!! \date 2010
!< Module de declaration de certains parametres rarement changes.
!< enleve les parameter pour G,RO,ROFRESH,ROM,ROW
!< pour pouvoir 

module param_phy_mod



real ::  G = 9.81             !< gravite en m s-2
real ::  RO = 918.0           !< densities of ice : 918 for consistency with LBq
real ::  ROFRESH = 1000.      !< density of fresh water

real ::  ROM = 3300.0         !< density of mantle
real ::  ROW = 1028.0         !< densities of ocean water

                              ! maintenant defini dans initial-phy-2.f90
real ::  coef_Sflot           != (Row-Ro)/Row     !<   S = coef_Sflot * H + sealevel pour les shelves
real ::  coef_Bflot           != -Ro/Row          !<   B = coef_Bflot * H + sealevel pour les shelves
real ::  ROG                  != RO*G             !<  RO*G   (glace)    in Pa = 1 kg/m/s2
real ::  ROWG                 != ROW*G            !<  ROW*G  (ocean) 
real ::  ROMG                 != ROM*G            !<  ROM*G  (asthenosphere)

real ::  D00                  != RO**3*G**3       !<  RO**3*G**3
real ::  DICE                 != RO/ROW           !<  RO/ROW

real ::  ROFRESHG             !=ROFRESH*G         !<  ROFRESH*G 

end module param_phy_mod
